org.kie.internal.task.api.model

## Interface InternalPeopleAssignments

- All Superinterfaces:
    Externalizable, org.kie.api.task.model.PeopleAssignments, Serializable

      public interface InternalPeopleAssignments
      extends org.kie.api.task.model.PeopleAssignments

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getExcludedOwners()`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getRecipients()`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getTaskStakeholders()`
    `void` | `setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)`
    `void` | `setExcludedOwners(List<org.kie.api.task.model.OrganizationalEntity> excludedOwners)`
    `void` | `setPotentialOwners(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)`
    `void` | `setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)`
    `void` | `setTaskInitiator(org.kie.api.task.model.User taskInitiator)`
    `void` | `setTaskStakeholders(List<org.kie.api.task.model.OrganizationalEntity> taskStakeholders)`

    - ### Methods inherited from interface org.kie.api.task.model.PeopleAssignments

      `getBusinessAdministrators, getPotentialOwners, getTaskInitiator`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### setTaskInitiator

          void setTaskInitiator(org.kie.api.task.model.User taskInitiator)

    - #### setPotentialOwners

          void setPotentialOwners(List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

    - #### getExcludedOwners

          List<org.kie.api.task.model.OrganizationalEntity> getExcludedOwners()

    - #### setExcludedOwners

          void setExcludedOwners(List<org.kie.api.task.model.OrganizationalEntity> excludedOwners)

    - #### getTaskStakeholders

          List<org.kie.api.task.model.OrganizationalEntity> getTaskStakeholders()

    - #### setTaskStakeholders

          void setTaskStakeholders(List<org.kie.api.task.model.OrganizationalEntity> taskStakeholders)

    - #### setBusinessAdministrators

          void setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)

    - #### getRecipients

          List<org.kie.api.task.model.OrganizationalEntity> getRecipients()

    - #### setRecipients

          void setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.